#ifndef	_SELE_API
#define _SELE_API

#define SysEntBase *DmEntityTop

_declspec(dllimport) EB_SELECT *DmEntityTop;

/*
#ifdef _EBAMAIN
EB_SELECT& SysEntBase=*DmEntityTop;	//	By Wyp 98.11.26	将系统链头重命名为系统图形库以方便用户进行访问系统链
#else
extern EB_SELECT SysEntBase;
#endif
*/

_declspec(dllimport) int	ebGetSelectByBox(EB_SELECT& select, EB_POINT  p1, EB_POINT  p2, UINT flag=0, EB_SELECT& from=*DmEntityTop);
_declspec(dllimport) int	ebGetSelectByPick(EB_SELECT& select, int  &step, int  &Flag, UINT flag=0, EB_SELECT&  from=*DmEntityTop);
_declspec(dllimport) BOOL	ebIfSelectEmpty(EB_SELECT  &select);
_declspec(dllimport) int	ebGetSelectLength(EB_SELECT  &select);
_declspec(dllimport) EB_NODE	ebGetObjectFromSelect(EB_SELECT &select,int index);
_declspec(dllimport) BOOL	ebIfObjectInSelect(EB_SELECT &select, EB_NODE pNode);
_declspec(dllimport) int	ebAddObjectToSelect(EB_SELECT &select,EB_NODE pNode);
_declspec(dllimport) int	ebDelObjectFromSelect(EB_SELECT &select,EB_NODE pNode);
_declspec(dllimport) int	ebDrawSelect( EB_SELECT &select,  char	color= DRAGING);
_declspec(dllimport) int	ebFreeSelect(EB_SELECT  &select);
_declspec(dllimport) int	ebInsSelectToSys (EB_SELECT &select, BOOL  remove=TRUE);
_declspec(dllimport) int	ebMergeSelect (EB_SELECT &select1, EB_SELECT &select2, BOOL  remove=TRUE);
_declspec(dllimport) EB_BOX	ebGetSelectBox(EB_SELECT  &select);

_declspec(dllimport) int	ebGetNodeChildList (EB_NODE  node,EB_SELECT &childlist);
_declspec(dllimport) int	ebGetNodeChain(EB_SELECT& select,EB_NODE node,EB_POINT& start_p);

#endif